#version 330

uniform  sampler2DRect inputTex0;
uniform vec4 endColor;
uniform float endOpacity;



in vec2 fsTexture;
out vec4 outColor;

void main()
{
    outColor=texture(inputTex0, fsTexture).rrrr;
    outColor.a=1.0;
#ifdef USE_END_COLOR
	outColor=mix(endColor,outColor,endOpacity);
#endif
}
